Skip to main content
DELETE
https://{tenantDomain}/api/v2
/
hooks
/
{id}
/
secrets
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;
using System.Collections.Generic;

public partial class Examples
{
    public async Task Example() {
        var client = new ManagementClient(
            token: "<token>"
        );

        await client.Hooks.Secrets.DeleteAsync(
            id: "id",
            request: new List<string>(){
                "string",
            }
        );
    }

}
package example

import (
context "context"

client "github.com/auth0/go-auth0/management/management/client"
option "github.com/auth0/go-auth0/management/management/option"
)

func do() {
client := client.NewClient(
option.WithToken(
"<token>",
),
)
request := []string{
"string",
}
client.Hooks.Secrets.Delete(
context.TODO(),
"id",
request,
)
}
package com.example.usage;

import com.auth0.client.mgmt.ManagementApi;
import java.util.Arrays;

public class Example {
public static void main(String[] args) {
ManagementApi client = ManagementApi
.builder()
.token("<token>")
.build();

client.hooks().secrets().delete(
"id",
Arrays.asList("string")
);
}
}
<?php

namespace Example;

use Auth0\SDK\API\Management\Management;

$client = new Management(
token: '<token>',
);
$client->hooks->secrets->delete(
'id',
[
'string',
],
);
from auth0.management import ManagementClient

client = ManagementClient(
token="<token>",
)

client.hooks.secrets.delete(
id="id",
request=[
"string"
],
)
require "auth0"

client = Auth0::Management.new(token: "<token>")

client.hooks.secrets.delete(
id: "id",
request: ["string"]
)
import { ManagementClient } from "auth0";

async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.hooks.secrets.delete("id", [
"string",
]);
}
main();
import { ManagementClient } from "auth0";

async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.hooks.secrets.delete("id", [
"string",
]);
}
main();
curl --request DELETE \
--url https://{tenantDomain}/api/v2/hooks/{id}/secrets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '[
"<string>"
]'

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

ID of the hook whose secrets to delete.

Body

Minimum array length: 1

Response

Hook secrets successfully deleted.